//**************************************************************************
//
// Copyright (c) 1997.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Author: Devon Lockwood
// Date: 1/30/97
// $Revision: 1.1 $
// $Name: $
//
//**************************************************************************
/* EzWindows Library Header File
   FILE:        ellipse.h
   AUTHORS:     James P. Cohoon and Jack W. Davidson
   EDITED BY:   Devon Lockwood
   Time-stamp:  <97/01/17 18:49:17 dcl3a>

   Description
   ===========
   The EllipseShape class provides the ability to draw ellipses 
   in an EzWindow.
*/
#ifndef ELLIPSESHAPE_H
#define ELLIPSESHAPE_H

#include "shape.h"


class EllipseShape : public Shape {
   public:
      EllipseShape(SimpleWindow   &iWindow,
		   const Position &iCenter, 
                   const color    &iColor  = Red,
		   float           iLength = 1, 
                   float           iHeight = 2);

      float GetLength() const;
      float GetHeight() const;
      
      void SetSize(float iLength, float iHeight);
      void  Draw  ();

   private:
      float Length;
      float Height;
};


#endif

