//**************************************************************************
//
// Copyright (c) 1997.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Author: Devon Lockwood
// Date: 1/30/97
// $Revision: 1.1 $
// $Name: $
//
//**************************************************************************
/* EzWindows Library Header File
   FILE:        label.h
   AUTHORS:     James P. Cohoon and Jack W. Davidson
   EDITED BY:   Devon Lockwood
   Time-stamp:  <97/01/26 18:44:00 dcl3a>

   Description
   ===========
   The Label class provides the ability to draw text in an  
   EzWindow.
*/
#ifndef LABEL_H
#define LABEL_H

#include "shape.h"


class Label : public WindowObject {
   public:
      Label(SimpleWindow   &w, 
            const Position &p,
	    const string   &Text,
            const color    &c = White);
      Label(SimpleWindow   &w, 
            float          XCoord, 
            float          YCoord,
	    const string  &Text,
            const color   &c = White);
     ~Label();
	
      color GetColor() const;

      void  SetColor(const color &c);	      
      void  Draw    ();

   private:
      color  Color;
      string Text;
};


#endif


