//**************************************************************************
//
// Copyright (c) 1997.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Author: Devon Lockwood
// Date: 1/30/97
// $Revision: 1.1 $
// $Name: $
//
//**************************************************************************
/* EzWindows Library Source File
   FILE:        label.cc
   AUTHORS:     James P. Cohoon and Jack W. Davidson
   EDITED BY:   Devon Lockwood
   Time-stamp:  <97/01/26 18:44:49 dcl3a>

   Description
   ===========
   The Label class provides the ability to draw text in an  
   EzWindow.
*/
#include "label.h"


Label::Label(SimpleWindow   &w, 
             const Position &p,
             const string   &t,
             const color    &c) : WindowObject(w, p), 
                                  Color       (c),
                                  Text        (t) {

}


Label::Label(SimpleWindow   &w, 
             float           XCoord, 
             float           YCoord,
             const string   &t,
             const color    &c) : WindowObject(w, Position(XCoord, YCoord)), 
                                  Color       (c),
                                  Text        (t) {

}


Label::~Label() {

}

 
color Label::GetColor() const {

   return Color;
}


void Label::SetColor(const color &c) {
	
   Color = c;
}


void Label::Draw() {
   Position LabelCenter(GetPosition());
   Position UpperLeft  (LabelCenter +  (-2.0, -2.0));
   Position LowerRight (LabelCenter + ( 2.0,  2.0));

   GetWindow().RenderText(UpperLeft, LowerRight, Text, GetColor());
}




