//**************************************************************************
//
// Copyright (c) 1997.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Author: Devon Lockwood
// Date: 1/30/97
// $Revision: 1.1 $
// $Name: $
//
//**************************************************************************
/* EzWindows Library Source File
   FILE:        shape.cc
   AUTHORS:     James P. Cohoon and Jack W. Davidson
   Time-stamp:  <96/12/07 20:05:25 dcl3a>

   Description
   ===========
   Shape - base class for shapes that can be displayed
           in a window. Shape is derived from
           WindowObject
*/
#include <assert.h>
#include "shape.h"


Shape::Shape(SimpleWindow   &w, 
             const Position &p,
             const color    &c) : WindowObject(w, p), Color(c) {

}


color Shape::GetColor() const {
	
   return Color;
}


void Shape::SetColor(const color &c) {
	
   assert(c >= 0 && c < MaxColors);
   Color = c;
}



