//**************************************************************************
//
// Copyright (c) 1997.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Author: Devon Lockwood
// Date: 1/30/97
// $Revision: 1.1 $
// $Name: $
//
//**************************************************************************
/* EzWindows Library Header File
   FILE:        triangle.h
   AUTHORS:     James P. Cohoon and Jack W. Davidson
   EDITED BY:   Devon Lockwood
   Time-stamp:  <97/01/17 18:54:35 dcl3a>

   Description
   ===========
   The TriangleShape class provides the ability to draw
   triangles in an EzWindow.
*/
#ifndef TRIANGLESHAPE_H
#define TRIANGLESHAPE_H

#include "shape.h"
#include <math.h>

const float Pi = 3.1416;


class TriangleShape : public Shape {
   public:
      TriangleShape(SimpleWindow   &iWindow,
		    const Position &iCenter, 
                    const color    &iColor  = Red,
		    float           iLength = 1);
	
      float GetLength() const;

      void  SetSize(float iLength);
      void  Draw   ();
      	
   private:
      float Length;
};

#endif

