//**************************************************************************//
//                                                                          //
// Copyright (c) 1997.                                                      //
//      Richard D. Irwin, Inc.                                              //
//                                                                          //
// This software may not be distributed further without permission from     //
// Richard D. Irwin, Inc.                                                   //
//                                                                          //
// This software is distributed WITHOUT ANY WARRANTY. No claims are made    //
// as to its functionality or purpose.                                      //
//                                                                          //
// Authors: James P. Cohoon and Jack W. Davidson                            //
// Date: 7/15/96                                                            //
// Version: 1.0b                                                            //
//                                                                          //
//**************************************************************************//

// Program 3.4: Compute the time and cost required to mow
// a lawn
#include <iostream.h>
#include "rect.h"

int ApiMain() {
	// Mowing rate in meters per second
	const float MowRate = 1.0;
	// Pay rate desired
	const float PayRate = 5.0;

	// Seconds in an hour
	const int SecondsPerMinute = 60;
	// Minutes in an hour
	const int SecondsPerHour =
	 SecondsPerMinute * 60;

	// Length and width of display window
	const int DisplayLength = 20;
	const int DisplayHeight = 20;

	// Scale factor for display. 100 meters equals
	// 1 centimeter
	const float ScaleFactor = 0.01;

	cout << "Please use meters for all input\n" << endl;

	int LawnLength; // Length of the lawn in meters
	cout << "Please enter the length of the lawn: ";
	cin >> LawnLength;

	int LawnWidth; // Width of the lawn in meters
	cout << "Please enter the width of the lawn: ";
	cin >> LawnWidth;

	int HouseLength; // Length of the house in meters
	cout << "Please enter the length of the house: ";
	cin >> HouseLength;

	int HouseWidth; // Width of the house in meters
	cout << "Please enter the width of the house: ";
	cin >> HouseWidth;

	// Echo the input so they can be verified
	cout << endl;
	cout << "Yard size: " << LawnLength << " by "
	 << LawnWidth << " meters" << endl;
	cout << "House size: " << HouseLength << " by "
	 << HouseWidth << " meters" << endl;

	// Compute the mowable area
	int MowableArea = (LawnLength * LawnWidth)
	 - (HouseLength * HouseWidth);

	// Compute the time to cut and display it
	int MowTimeInSeconds = MowableArea / MowRate;
	int Hours = MowTimeInSeconds / SecondsPerHour;
	int Minutes = MowTimeInSeconds % SecondsPerMinute;

	cout << "Time to cut: " << Hours << " hour(s) "
	 << Minutes << " minute(s)" << endl;
	// Compute the cost and display it
	float DollarCost = MowTimeInSeconds * PayRate
	 / SecondsPerHour;
	int Dollars = DollarCost;
	int Cents = (DollarCost - Dollars) * 100;
	cout << "Cost to cut: " << Dollars << " dollar(s)"
	 << " and " << Cents << " cent(s)" << endl;

	// Open the window and display the lawn
	SimpleWindow Display("Lawn and House Plot",
	DisplayLength, DisplayHeight);
	Display.Open();

	RectangleShape Lawn(Display, DisplayLength / 2.0,
	 DisplayHeight / 2.0, Green,
	 LawnLength * ScaleFactor,
	 LawnWidth * ScaleFactor);
	 Lawn.Draw();
	// Display the house
	RectangleShape House(Display, DisplayLength / 2.0,
	 DisplayHeight / 2.0, Yellow,
	 HouseLength * ScaleFactor,
	 HouseWidth * ScaleFactor);
	House.Draw();

	cout << "Type a character followed by a\n"
	 << "return to remove the display and exit" << endl;
	char AnyChar;
	cin >> AnyChar;
	Display.Close();

	return 0;
}


