#ifndef CARD_H
#define CARD_H
#include <iostream.h>

#ifdef USING_CC
#include "bool.h" // comment this line out if your compiler has a bool type
#endif

enum CardSuit {club, diamond, heart, spade};
enum CardFace {two, three, four, five, six, seven,
eight, nine, ten, jack, queen, king, ace};

class Card {
	public:
		// construct default card (two of clubs)
		Card();
		// construct specific card
		Card(const CardFace &f, const CardSuit &s); 
		// face and suit inspectors
		CardFace GetFace() const;
		CardSuit GetSuit() const;
		// face and suit mutators
		void SetFace(const CardFace &f);
		void SetSuit(const CardSuit &s);
	private:
		// data members
		CardFace Face;
		CardSuit Suit;
};

// auxiliary operators
bool operator==(const Card &c1, const Card &c2);
bool operator<(const Card &c1, const Card &c2);
ostream& operator<<(ostream &sout, const Card &c);
istream& operator>>(istream &sin, Card &c);
#endif


