#ifndef DECK_H
#define DECK_H
#include <iostream.h>
#include "card.h"

class Deck {
	public:
		// initialize a canonical deck
		Deck();
		// put deck in random order
		void Shuffle();
		// put deck in sorted order
		void Sort();
		// put deck in canonical order
		void Arrange();
		// inspect i-th card
		Card GetCard(int i) const;
		// assign a specific value to the i-th card
		void SetCard(int i, const Card &c);
		// swap i-th & j-th cards
		void SwapCards(int i, int j);
	private:
		Card Cards[52];
};

// auxiliary operator prototypes
ostream& operator<<(ostream &sout, const Deck &d);
istream& operator>>(istream &sin, Deck &d);
#endif


